PyFloat.Format (Jython API documentation)
Date: 2024-08-18

org.python.core

## Enum PyFloat.Format

- java.lang.Object
- - java.lang.Enum<PyFloat.Format>
  - - org.python.core.PyFloat.Format

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PyFloat.Format>
  Enclosing class:
    PyFloat

      public static enum PyFloat.Format
      extends java.lang.Enum<PyFloat.Format>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BE`
    `LE`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `format()`
    `static PyFloat.Format` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PyFloat.Format[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final PyFloat.Format UNKNOWN

    - #### BE

          public static final PyFloat.Format BE

    - #### LE

          public static final PyFloat.Format LE

  - ### Method Detail

    - #### values

          public static PyFloat.Format[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PyFloat.Format c : PyFloat.Format.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PyFloat.Format valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### format

          public java.lang.String format()

Jython homepage